SQL-OPERATOR
Prev | The Symbolic SQL Syntax | Next

## Name

SQL-OPERATOR — Returns the symbol for the supplied SQL operator.Function

## Syntax

          sql-operator operator => result

## Arguments and Values

`operator`

  A symbol denoting an SQL operator.

result

  The Lisp symbol used by CLSQL to represent the specified operator.

## Description

Returns the Lisp symbol corresponding to the SQL operator represented by the symbol `operator`. If `operator` does not represent a supported SQL operator or is not a symbol, nil is returned.

## Examples

    (sql-operator 'like)
    => SQL-LIKE

## Side Effects

None.

## Affected by

None.

## Exceptional Situations

None.

## See Also

`sql`
`sql-expression`
`sql-operation`

## Notes

CLSQL's symbolic SQL syntax currently has support for the following CommonSQL compatible SQL operators:

`any`
`some`
`all`
`not`
`union`
`intersect`
`minus`
`except`
`order-by`
`null`
`*`
`+`
`/`
`-`
`like`
`and`
`or`
`in`
`substr`
`||`
`=`
`<`
`>`
`>=`
`<=`
`<>`
`count`
`max`
`min`
`avg`
`sum`
`function`
`between`
`distinct`
`nvl`
`slot-value`
`userenv`

as well as the pseudo-operator `function`.

The following operators are provided as CLSQL extensions to the CommonSQL API.

`concat`
`substring`
`limit`
`group-by`
`having`
`not-null`
`exists`
`uplike`
`is`
`==`
`the`
`coalesce`
`view-class`

Note that some of these operators are not supported by all of the RDBMS supported by CLSQL (see the Appendix for details).

Prev | Up | Next
SQL-OPERATION | Home | Functional Data Definition Language (FDDL)